{
  "name": "abelbirdnest-web",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint",
    "typecheck": "tsc --noEmit",
    "prisma:generate": "prisma generate",
    "db:push": "prisma db push",
    "prisma:migrate:deploy": "prisma migrate deploy",
    "seed:grades": "node scripts/seed-grades-from-xls.mjs",
    "seed:banks": "node scripts/seed-banks-indonesia.mjs",
    "seed:currencies": "node scripts/seed-global-currencies.mjs",
    "seed:master": "npm run seed:grades && npm run seed:banks && npm run seed:currencies"
  },
  "dependencies": {
    "@prisma/client": "^6.17.1",
    "@types/nodemailer": "^8.0.0",
    "clsx": "^2.1.1",
    "jsbarcode": "^3.12.1",
    "lucide-react": "^0.511.0",
    "next": "^15.0.0",
    "nodemailer": "^8.0.7",
    "qrcode": "^1.5.4",
    "react": "^19.0.0",
    "react-dom": "^19.0.0",
    "xlsx": "^0.18.5",
    "zod": "^4.3.6"
  },
  "devDependencies": {
    "@types/node": "^22.10.0",
    "@types/react": "^19.0.0",
    "@types/react-dom": "^19.0.0",
    "autoprefixer": "^10.4.20",
    "postcss": "^8.4.49",
    "prisma": "^6.17.1",
    "tailwindcss": "^3.4.17",
    "typescript": "^5.7.2"
  }
}
